=== modified file 'tests/store/base.py'
--- tests/store/base.py	2008-05-28 16:37:10 +0000
+++ tests/store/base.py	2008-05-31 16:15:28 +0000
@@ -1162,6 +1162,10 @@
             ).having(Count() == 5)
         self.assertEquals(list(result), [16])
 
+    def test_find_having_without_group_by(self):
+        result = self.store.find(FooValue)
+        self.assertRaises(ExprError, result.having, FooValue.value1 == 1)
+
     def test_find_group_by_multiple_having(self):
         result = self.store.find((Count(), FooValue.value2)
             ).group_by(FooValue.value2

